明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1436|回复: 4

[基础] 如何用“空格”、“鼠标右键”、“回车”让如下程序跳出循环?

[复制链接]
发表于 2013-4-26 21:49 | 显示全部楼层 |阅读模式
如何用“空格”、“鼠标右键”、“回车”让如下程序跳出循环?[code="lisp] (defun c:CC()
  (setq ss (ssget))
  (setq pt0  (getpoint "\n指定复制基点:"))
  (while T
    (command ".copy" ss "" pt0 pause)
  )
)[/code]
发表于 2013-4-26 21:59 | 显示全部楼层
研究下 Copy 的 Multiple 选项 ...

点评

长老,不用“Multiple”,如何实现?  发表于 2013-4-28 13:56
 楼主| 发表于 2013-5-2 12:18 | 显示全部楼层
继续求解!
发表于 2013-5-2 13:06 | 显示全部楼层
本帖最后由 自贡黄明儒 于 2013-5-2 13:09 编辑

下面如何?
  1. (defun c:CC ()
  2.   (setq ss (ssget))
  3.   (setq pt0 (getpoint "\n指定复制基点:"))
  4.   (setq bool T)
  5.   (while bool
  6.     (command ".copy" ss "" pt0 pause)
  7.     (setq pt (getvar "lastpoint"))
  8.     (if (equal pt pt0)
  9.       (setq bool nil)
  10.      (setq pt0 pt)
  11.     )
  12.   )
  13. )
 楼主| 发表于 2013-5-2 14:06 | 显示全部楼层
自贡黄明儒 发表于 2013-5-2 13:06
下面如何?

如果想在原位复制图元就会退出了。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-12-14 04:31 , Processed in 0.232307 second(s), 35 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表